#General
security.finder.exception=Error finding security related objects
security.ErrorInitializingDefaultAttributes=Error while initializing default attributes
security.ErrorInitializingInstanceVars=Error while initializing instance variables
security.ErrorCreatingDatabaseTable=Error while creating database table
security.InvalidAttribute=Invalid attribute
security.AttributeNotSet=Missing attribute value
security.init.error=Error during security initialization
security.sql.exception=Exception while querying database
security.invalid.recd.creds=Invalid received credential
security.invalid.creds=Invalid credential
security.active.update.error=Error updating active configuration

#ApplicationSecurityBean
security.ErrorCreatingAppSecurity=Error while creating Application Security repository object
security.ErrorLoadingAppSecurity=Error while loading Application Security bean from database: {0}
security.ErrorStoringAppSecurity=Error while storing Application Security bean to database
security.ErrorRemovingAppSecurity=Error while removing Application Security bean from database
security.ErrorAssociatingApp=Error while associating Application Security with Application
security.ErrorDisassociatingApp=Error while disassociating Application Security from Application
security.ErrorFindingAllAppSecurities=Error while finding all Application Security beans

#EnterpriseBeanSecurityBean
security.ErrorCreatingEBSecurity=Error while creating Enterprise Bean Security repository object
security.ErrorLoadingEBSecurity=Error while loading Enterprise Bean Security bean from database: {0}
security.ErrorRemovingEBSecurity=Error while removing Enterprise Bean Security bean from database
security.ErrorAssociatingEB=Error while associating Enterprise Bean Security with Enterprise Bean
security.ErrorDisassociatingEB=Error while disassociating Enterprise Bean Security from Enterprise Bean
security.ErrorFindingAllEBSecurities=Error while finding all Enterprise Bean Security beans
security.ErrorFindingEBSecurity=Error while finding associated Enterprise Bean Security bean

#SecurityConfigBean
security.ErrorCreatingSecCfg=Error while creating Security Config bean
security.ErrorFindingSecCfg=Error while finding Security Config bean
security.ErrorStoringSecCfg=Error while storing Security Config bean
security.ErrorRemovingSecCfg=Error while removing Security Config bean
security.ErrorFindingAllSecCfgs=Error while finding all Security Config beans
security.ErrorSavingPropsFile=Error while saving server security properties file
security.ErrorReadingPropsFile=Error while reading server security properties file
security.ErrorCreatingUserRegistry=Error while creating User Registry

#AssignPermissionsBean
security.ErrorRetrievingAuthTableHome=Error while retrieving AuthorizationTableHome
security.ErrorFindingAppOrMG=Error finding specified Application or MethodGroup

#ConfigureApplicationSecurity
security.ErrorCreatingAndAssociatingAppSec=Error while creating and associating Application Security bean
security.ErrorUpdatingAppSec=Error while updating Application Security bean

#ConfigureResourceSecurity
security.ErrorCreatingAndAssociatingEBSec=Error while creating and associating Enterprise Bean Security bean
security.ErrorUpdatingEBSec=Error while updating Enterprise Bean Security bean

#GlobalSecuritySettings
security.ErrorCreatingLTPAKeys=Error occured while generating new LTPA keys
security.NullLTPAConfig=Can't set AuthMechanism to LTPA when LTPAConfig is null

#WorkWithMethodGroup
security.ErrorCreatingMethodGroup=Error while creating MethodGroup bean
security.ErrorRemovingMethodGroup=Error while removing MethodGroup bean

#AssignPermissionsCommand
security.ErrorUpdatingPermissions=Error while updating permissions


# SAS
security.sas.initerror=Error initializing security/SAS
security.sas.prop.updated=SAS Property:{0} has been updated
security.sas.configurl.missing=Missing security config URL
security.sas.futureconfigurl.error=Error updating security config URL
security.sasconfig.startup.error=Configuration error encountered while starting the server
security.sasconfig.shutdown.error=Error encountered while shutting down the server
security.sasconfig.currenterror=Error determining whether configuration is current

# Authorization
security.authz.failed.invalidcreds=Authorization failed while invoking ({0}){1} {2} - invalid credentials
security.authz.failed.foruser=Authorization failed for {0} while invoking ({1}){2} {3}
security.authz.noowncreds=No own credentials

# Authentication 
security.authn.failed.foruser=Authentication failed for {0}
security.authn.failed=Authentication failed
security.authn.invalid.data=Invalid authentication data

# LTPA
security.ltpaserver.notexist=LTPAServer does not exist
security.ltpa.nopasswd.nocreate=Cannot create LTPAServer without a password
security.ltpaconfig.notexist=LTPA configuration not found
security.ltpaconfig.createexcp=LTPAConfig creation exception
security.ltpaconfig.removeexcp=LTPAConfig remove exception
security.ltpa.credmap.failed.nullaccessid=Credential mapping failed due to invalid accessid
security.ltpa.credmap.failed=Credential mapping failed
security.encoding.notsupp=Unsupported encoding

# Registry
security.registry.impl.stopped=registry impl object has been stopped
security.registry.ldap.mapcredential=Cannot credential map given credential token into LDAP
security.registry.ldap.initerror=LDAP initialization error
security.registry.nt.nosecurityname=No Security Name configured for privilege id: {0}.
security.registry.nt.noprivid=No privilege id configured for: {0}
security.registry.entry.patternerror=Error retrieving registry entries for the given pattern {0}
security.registry.findererror.type=Error finding registry for type {0}
security.registry.entry.findererror.privid=Error finding registry entry for privilege id {0}
security.registry.createerror=Error creation user registry
security.registry.unsupported.entrytype=Unsupported entry type {0}
security.registryentry.createerror=Error creating registry entry home
security.registryimpl.notfound=Registry impl instance not found for type {0}
security.registry.notexist=User registry does not exist
security.registry.usertype.notsupp=User type not supported in the user registry
security.registry.userentry.notfound=User entry is not found in the registry
security.registry.exception=Registry exception

# Web 
security.web.initerror=Error during web security initialization
security.web.cache.initerror=Error initializing web cache on admin server
security.web.config.initerror=Error while initializing web configuration
security.web.adminwebcache.initerror=Error initializing admin web cache
security.web.config.error=Configuration error
security.web.internalservererror=Internal Server Error

# Authorization table
security.authtbl.deleteerror=Error deleting permission
security.authtbl.listerror=Error obtaining all permissions
security.authtbl.getmg=Error obtaining method group for method {0}
security.authtbl.apphomefinder=Error looking up Application home
security.authtbl.apphome=Application home not found
security.authtbl.relhome=Relation home not found

security.adminapp.notexist=Admin Application does not exist
security.beancache.adminperms.init=Exception while initializing admin permissions

# Method group
security.mg.createexcp=Error creating method group {0}
security.mg.finderr=Error finding method groups
security.mg.finderr.one=Error finding method group {0}
security.mg.finderr.key=Error finding method group for id {0}
security.mg.updateerr=Error storing method group
security.mg.removeerr=Error removing method group
security.mg.createerr=Error creating method group
security.methodgroups.nohome=MethodGroupHome does not exist
security.methodgroups.predef.createerror=Error creating predefined method groups   

